"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = __importDefault(require("../../../utils/constants"));
const EMPTY_HEADERS = {};
const EMPTY_QUERY_PARAMS = {};
const NULL_PAYLOAD = null;
exports.default = (smapiHandle) => {
    function getManifest(skillId, stage, callback) {
        const url = `skills/${skillId}/stages/${stage}/manifest`;
        if (callback) {
            return smapiHandle(constants_1.default.SMAPI.API_NAME.GET_MANIFEST, constants_1.default.HTTP_REQUEST.VERB.GET, constants_1.default.SMAPI.VERSION.V1, url, EMPTY_QUERY_PARAMS, EMPTY_HEADERS, NULL_PAYLOAD, callback);
        }
        else {
            return smapiHandle(constants_1.default.SMAPI.API_NAME.GET_MANIFEST, constants_1.default.HTTP_REQUEST.VERB.GET, constants_1.default.SMAPI.VERSION.V1, url, EMPTY_QUERY_PARAMS, EMPTY_HEADERS, NULL_PAYLOAD);
        }
    }
    function updateManifest(skillId, stage, manifest, eTag, callback) {
        const url = `skills/${skillId}/stages/${stage}/manifest`;
        const headers = eTag ? { "If-Match": eTag } : {};
        const payload = { manifest: manifest.manifest };
        smapiHandle(constants_1.default.SMAPI.API_NAME.UPDATE_MANIFEST, constants_1.default.HTTP_REQUEST.VERB.PUT, constants_1.default.SMAPI.VERSION.V1, url, EMPTY_QUERY_PARAMS, headers, payload, callback);
    }
    return {
        getManifest,
        updateManifest,
    };
};
