import { Module } from "./module";
import { SourceLocation } from "./source-location";
import { Tree } from "./tree";
export declare const isImport: (node: any) => node is Import;
/**
 * Represents an Import in a Module.
 *
 * These are only valid in ACDL, not in serialized
 */
export declare class Import extends Tree<"ImportNamespace" | "ImportName", Module> {
    /**
     * Qualified name of the import.
     */
    readonly name: string;
    constructor(kind: "ImportNamespace" | "ImportName", 
    /**
     * Qualified name of the import.
     */
    name: string, loc?: SourceLocation);
    clone(): Import;
}
//# sourceMappingURL=import.d.ts.map