import { SourceLocation } from "./source-location";
import { Node } from "./node";
import { Tree } from "./tree";
/**
 * Checks if the expression is a Name node.
 */
export declare const isName: (node: any) => node is Name;
/**
 * Object representing a Name node in the Expression Tree.
 */
export declare class Name extends Tree<"Name", Node> {
    /**
     * String value of the name.
     */
    readonly name?: string | undefined;
    constructor(
    /**
     * String value of the name.
     */
    name?: string | undefined, loc?: SourceLocation);
    clone(): Name;
}
//# sourceMappingURL=name.d.ts.map