import * as ask from "./ast";
/**
 * A flat layer which include all info for a response
 */
export interface ResponseInfo {
    purpose?: ResponsePurpose;
    arguments?: ask.Argument;
    actionName?: ask.Argument;
    carryOverArguments?: ask.Argument;
    success?: ask.Argument;
    prompt?: ask.Argument;
    payload?: ask.Argument;
}
/**
 * An Alexa Response have eight potential purpose
 */
export declare enum ResponsePurpose {
    Request = "request",
    ConfirmArgs = "confirmArgs",
    ConfirmAction = "confirmAction",
    Notify = "notify",
    Offer = "offer",
    ReqAlt = "reqAlt",
    ReqMore = "reqMore",
    Bye = "bye"
}
//# sourceMappingURL=responseInfo.d.ts.map