import * as ask from "./ast";
import { TypeChecker } from "./checker";
import { Project } from "./project";
import { ParseError } from "./error";
/**
 * Takes in a parsed ACDL {@link Project} and returns a new project with
 * constant expressions transformed into the equivalent {@link ask.Node}.
 *
 * Current transformations are:
 *
 * - `getAllNames<T>(Args<String> namespaces)`
 *
 *
 * Transformations should only be placed here if they need to be completed after
 * parsing the acdl files.
 */
export declare function transformProject(project: Project): Project;
export declare function transformModule(module: ask.Module, checker: TypeChecker): {
    module: ask.Module;
    errors: ParseError[];
};
//# sourceMappingURL=transform-project.d.ts.map