import { Name } from "./name";
import { Locale } from "./prelude";
import { Tree } from "./tree";
/**
 * Checks if the expression is a SlotType node.
 */
export declare const isSlotType: (node: any) => node is SlotType;
/**
 * Temporary Node type to represent a SlotType loaded from an external interaction model JSON file.
 *
 * This node type will be removed in Beta 2 once we eliminate the need for an interaction model.
 */
export declare class SlotType extends Tree<"SlotType", undefined> {
    /**
     * Name of the Slot Type.
     */
    readonly name: Name;
    readonly locales: Locale[];
    constructor(
    /**
     * Name of the Slot Type.
     */
    name: Name, locales: Locale[]);
    /**
     * Slot Types currently come from one or more interaction model files and therefore do not have a URI.
     */
    get uri(): undefined;
    clone(): SlotType;
}
//# sourceMappingURL=slot-type.d.ts.map