# EnumDeclaration Schema

```txt
https://amazonalexa.com/ask/2020/12/EnumDeclaration
```

Represents an enum type declaration.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                        |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [EnumDeclaration.json](../../schemas/EnumDeclaration.json "open original schema") |

## EnumDeclaration Type

`object` ([EnumDeclaration](enumdeclaration.md))

# EnumDeclaration Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                                 |
| :-------------------------- | :------------ | :------- | :------------- | :----------------------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)               | Not specified | Required | cannot be null | [EnumDeclaration](enumdeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/kind")               |
| [name](#name)               | `string`      | Required | cannot be null | [EnumDeclaration](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")      |
| [items](#items)             | `array`       | Required | cannot be null | [EnumDeclaration](enumdeclaration-properties-items.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/items")             |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [EnumDeclaration](enumdeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](enumdeclaration-properties-kind.md))

*   cannot be null

*   defined in: [EnumDeclaration](enumdeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/kind")

### kind Type

unknown ([kind](enumdeclaration-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"EnumDeclaration"
```

## name

A qualified name

`name`

*   is required

*   Type: `string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

*   cannot be null

*   defined in: [EnumDeclaration](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")

### name Type

`string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

### name Constraints

**maximum length**: the maximum number of characters for this string is: `1024`

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[A-Za-z][A-Za-z0-9_]*(\.((_[A-Za-z0-9][A-Za-z0-9_]*)|([A-Za-z][A-Za-z0-9_]*)))*$
```

[try pattern](https://regexr.com/?expression=%5E%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\(%5C.\(\(_%5BA-Za-z0-9%5D%5BA-Za-z0-9_%5D*\)%7C\(%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\)\)\)*%24 "try regular expression with regexr.com")

### name Examples

```json
"com.amazon.alexa.schema.String"
```

```json
"foo"
```

## items

The names of items in the enum.

`items`

*   is required

*   Type: `object[]` ([EnumItem](enumdeclaration-properties-items-enumitem.md))

*   cannot be null

*   defined in: [EnumDeclaration](enumdeclaration-properties-items.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/items")

### items Type

`object[]` ([EnumItem](enumdeclaration-properties-items-enumitem.md))

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [EnumDeclaration](enumdeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
