# Untitled object in GenericArgumentsDeclaration Schema

```txt
https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items
```

A generic argument in a declaration.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                                  |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [GenericArgumentsDeclaration.json\*](../../schemas/GenericArgumentsDeclaration.json "open original schema") |

## items Type

`object` ([Details](genericargumentsdeclaration-items.md))

# items Properties

| Property                    | Type     | Required | Nullable       | Defined by                                                                                                                                                                                 |
| :-------------------------- | :------- | :------- | :------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [name](#name)               | `string` | Required | cannot be null | [GenericArgumentsDeclaration](genericargumentsdeclaration-items-properties-name.md "https://amazonalexa.com/ask/2020/12/Name#/items/properties/name")                                      |
| [constraints](#constraints) | `array`  | Optional | cannot be null | [GenericArgumentsDeclaration](genericargumentsdeclaration-items-properties-constraints.md "https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items/properties/constraints") |

## name

A name.

`name`

*   is required

*   Type: `string` ([Name](genericargumentsdeclaration-items-properties-name.md))

*   cannot be null

*   defined in: [GenericArgumentsDeclaration](genericargumentsdeclaration-items-properties-name.md "https://amazonalexa.com/ask/2020/12/Name#/items/properties/name")

### name Type

`string` ([Name](genericargumentsdeclaration-items-properties-name.md))

### name Constraints

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[a-zA-Z_][a-zA-Z0-9_]*$
```

[try pattern](https://regexr.com/?expression=%5E%5Ba-zA-Z_%5D%5Ba-zA-Z0-9_%5D*%24 "try regular expression with regexr.com")

### name Examples

```json
"foo"
```

```json
"bar"
```

```json
"person"
```

```json
"foo1"
```

## constraints



`constraints`

*   is optional

*   Type: `object[]` ([TypeReference](actiondeclaration-properties-typereference.md))

*   cannot be null

*   defined in: [GenericArgumentsDeclaration](genericargumentsdeclaration-items-properties-constraints.md "https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items/properties/constraints")

### constraints Type

`object[]` ([TypeReference](actiondeclaration-properties-typereference.md))
