# InteractionDeclaration Schema

```txt
https://amazonalexa.com/ask/2020/12/InteractionDeclaration
```

Represents an interaction expression that allows developers to provide feedback to the model on a particular instance of a conversation.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                      |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [InteractionDeclaration.json](../../schemas/InteractionDeclaration.json "open original schema") |

## InteractionDeclaration Type

`object` ([InteractionDeclaration](interactiondeclaration.md))

# InteractionDeclaration Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                                                      |
| :-------------------------- | :------------ | :------- | :------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)               | Not specified | Required | cannot be null | [InteractionDeclaration](interactiondeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/kind")               |
| [expressions](#expressions) | `array`       | Required | cannot be null | [InteractionDeclaration](interactiondeclaration-properties-expressions.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/expressions") |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [InteractionDeclaration](interactiondeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](interactiondeclaration-properties-kind.md))

*   cannot be null

*   defined in: [InteractionDeclaration](interactiondeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/kind")

### kind Type

unknown ([kind](interactiondeclaration-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"InteractionDeclaration"
```

## expressions

Block of expressions for interaction.

`expressions`

*   is required

*   Type: an array of merged types ([Details](interactiondeclaration-properties-expressions-items.md))

*   cannot be null

*   defined in: [InteractionDeclaration](interactiondeclaration-properties-expressions.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/expressions")

### expressions Type

an array of merged types ([Details](interactiondeclaration-properties-expressions-items.md))

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [InteractionDeclaration](interactiondeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
