# Module Schema

```txt
https://amazonalexa.com/ask/2020/12/Module
```

The schema for the Alexa Skills Kit (ASK) module document.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                      |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [Module.json](../../schemas/Module.json "open original schema") |

## Module Type

`object` ([Module](module.md))

# Module Properties

| Property                    | Type     | Required | Nullable       | Defined by                                                                                                      |
| :-------------------------- | :------- | :------- | :------------- | :-------------------------------------------------------------------------------------------------------------- |
| [schema](#schema)           | `string` | Required | cannot be null | [Module](module-properties-schema.md "https://amazonalexa.com/ask/2020/12/Module#/properties/schema")           |
| [exports](#exports)         | `array`  | Optional | cannot be null | [Module](module-properties-exports.md "https://amazonalexa.com/ask/2020/12/Module#/properties/exports")         |
| [expressions](#expressions) | `array`  | Required | cannot be null | [Module](module-properties-expressions.md "https://amazonalexa.com/ask/2020/12/Module#/properties/expressions") |

## schema

The schema for the module file.

`schema`

*   is required

*   Type: `string` ([schema](module-properties-schema.md))

*   cannot be null

*   defined in: [Module](module-properties-schema.md "https://amazonalexa.com/ask/2020/12/Module#/properties/schema")

### schema Type

`string` ([schema](module-properties-schema.md))

### schema Constraints

**URI**: the string must be a URI, according to [RFC 3986](https://tools.ietf.org/html/rfc3986 "check the specification")

### schema Default Value

The default value is:

```json
"https://amazonalexa.com/ask/2020/12/Module"
```

### schema Examples

```json
"https://amazonalexa.com/ask/2020/12/Module"
```

## exports

The declared names that are visible outside this module.

`exports`

*   is optional

*   Type: `string[]` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

*   cannot be null

*   defined in: [Module](module-properties-exports.md "https://amazonalexa.com/ask/2020/12/Module#/properties/exports")

### exports Type

`string[]` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

## expressions



`expressions`

*   is required

*   Type: an array of merged types ([Details](module-properties-expressions-items.md))

*   cannot be null

*   defined in: [Module](module-properties-expressions.md "https://amazonalexa.com/ask/2020/12/Module#/properties/expressions")

### expressions Type

an array of merged types ([Details](module-properties-expressions-items.md))
