# name Schema

```txt
https://amazonalexa.com/ask/2020/12/NameReference
```

Introduces a name for an expression.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [NameReference.json](../../schemas/NameReference.json "open original schema") |

## name Type

`object` ([name](namereference.md))

# name Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                  |
| :-------------------------- | :------------ | :------- | :------------- | :-------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)               | Not specified | Required | cannot be null | [name](namereference-properties-kind.md "https://amazonalexa.com/ask/2020/12/NameReference#/properties/kind")               |
| [name](#name)               | `string`      | Required | cannot be null | [name](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")  |
| [type](#type)               | `object`      | Optional | cannot be null | [name](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type")  |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [name](namereference-properties-annotations.md "https://amazonalexa.com/ask/2020/12/NameReference#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](namereference-properties-kind.md))

*   cannot be null

*   defined in: [name](namereference-properties-kind.md "https://amazonalexa.com/ask/2020/12/NameReference#/properties/kind")

### kind Type

unknown ([kind](namereference-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"NameReference"
```

## name

A qualified name

`name`

*   is required

*   Type: `string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

*   cannot be null

*   defined in: [name](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")

### name Type

`string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

### name Constraints

**maximum length**: the maximum number of characters for this string is: `1024`

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[A-Za-z][A-Za-z0-9_]*(\.((_[A-Za-z0-9][A-Za-z0-9_]*)|([A-Za-z][A-Za-z0-9_]*)))*$
```

[try pattern](https://regexr.com/?expression=%5E%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\(%5C.\(\(_%5BA-Za-z0-9%5D%5BA-Za-z0-9_%5D*\)%7C\(%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\)\)\)*%24 "try regular expression with regexr.com")

### name Examples

```json
"com.amazon.alexa.schema.String"
```

```json
"foo"
```

## type

The representation of a reference to a type declaration.

`type`

*   is optional

*   Type: `object` ([TypeReference](actiondeclaration-properties-typereference.md))

*   cannot be null

*   defined in: [name](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type")

### type Type

`object` ([TypeReference](actiondeclaration-properties-typereference.md))

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [name](namereference-properties-annotations.md "https://amazonalexa.com/ask/2020/12/NameReference#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
