# TypeReference Schema

```txt
https://amazonalexa.com/ask/2020/12/TypeReference
```

The representation of a reference to a type declaration.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [TypeReference.json](../../schemas/TypeReference.json "open original schema") |

## TypeReference Type

`object` ([TypeReference](typereference.md))

# TypeReference Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                           |
| :-------------------------- | :------------ | :------- | :------------- | :----------------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)               | Not specified | Required | cannot be null | [TypeReference](typereference-properties-kind.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/kind")               |
| [name](#name)               | `string`      | Required | cannot be null | [TypeReference](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")  |
| [arguments](#arguments)     | `array`       | Optional | cannot be null | [TypeReference](typereference-properties-arguments.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/arguments")     |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [TypeReference](typereference-properties-annotations.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](typereference-properties-kind.md))

*   cannot be null

*   defined in: [TypeReference](typereference-properties-kind.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/kind")

### kind Type

unknown ([kind](typereference-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"TypeReference"
```

## name

A qualified name

`name`

*   is required

*   Type: `string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

*   cannot be null

*   defined in: [TypeReference](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")

### name Type

`string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

### name Constraints

**maximum length**: the maximum number of characters for this string is: `1024`

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[A-Za-z][A-Za-z0-9_]*(\.((_[A-Za-z0-9][A-Za-z0-9_]*)|([A-Za-z][A-Za-z0-9_]*)))*$
```

[try pattern](https://regexr.com/?expression=%5E%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\(%5C.\(\(_%5BA-Za-z0-9%5D%5BA-Za-z0-9_%5D*\)%7C\(%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\)\)\)*%24 "try regular expression with regexr.com")

### name Examples

```json
"com.amazon.alexa.schema.String"
```

```json
"foo"
```

## arguments



`arguments`

*   is optional

*   Type: `object[]` ([TypeReference](actiondeclaration-properties-typereference.md))

*   cannot be null

*   defined in: [TypeReference](typereference-properties-arguments.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/arguments")

### arguments Type

`object[]` ([TypeReference](actiondeclaration-properties-typereference.md))

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [TypeReference](typereference-properties-annotations.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
