import { runtime, services } from 'ask-smapi-model';
import AuthenticationConfiguration = runtime.AuthenticationConfiguration;
import { AccessTokenConfig, RefreshTokenConfig } from './authMethods/AuthMethods';
/**
 * Abstract Builder class which should be implemented.
 * @export
 * @class SmapiClientBuilder
 */
export declare class SmapiClientBuilder {
    protected customUserAgent: string;
    protected accessTokenConfig: AccessTokenConfig;
    protected refreshTokenConfig: RefreshTokenConfig;
    withCustomUserAgent(userAgent: string): SmapiClientBuilder;
    withAccessTokenConfig(accessTokenConfig: AccessTokenConfig): SmapiClientBuilder;
    withRefreshTokenConfig(refreshTokenConfig: RefreshTokenConfig): SmapiClientBuilder;
    client(): services.skillManagement.SkillManagementServiceClient;
    protected getAuthenticationConfiguration(): AuthenticationConfiguration;
}
